/* Block Preview */
.block-editor-block-preview__content-iframe .cla-blocks-site-navigation-container {
	--cla--viewport--height: 800px;
}

.cla-blocks-site-navigation-container {
	position: relative;
	height: 100%;
	max-height: 100%;
	overflow: hidden;
}
.editor-styles-wrapper .cla-blocks-site-navigation-container {
	height: var(--cla--viewport--height);
}

.cla-blocks-site-navigation {
	position: relative;
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: min-content min-content auto auto;
	grid-template-areas:
		"search"
		"navigation"
		"social"
		"college-navigation";
	height: 100%;
	overflow-y: auto;
}

/* Decoration */
.cla-blocks-site-navigation__decoration {
	position: relative;
	border-right: var(--cla--linework--style) var(--cla--linework--width) var(--cla--color--linework);
	display: none;
	grid-area: decoration;
	background-color: var(--cla--color--secondary);
}
.cla-blocks-site-navigation__decoration::after {
	content: "";
	position: absolute;
	z-index: var(--cla--layer--brushstroke);
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background-image: url('../../images/brushstroke-texture.png');
	background-position: 60% 65%;
	background-size: 750%;
	background-repeat: no-repeat;
	mix-blend-mode: multiply;
	opacity: 0.4;
	pointer-events: none;
}

/* Search */
.cla-blocks-site-navigation .wp-block-search {
	position: relative;
	padding: var(--cla--spacing--1);
	border-bottom: var(--cla--linework--style) var(--cla--linework--width) var(--cla--color--linework);
	display: flex;
	flex-direction: column;
	justify-content: center;
	grid-area: search;
	color: var(--cla--color--secondary--contrast);
	background-color: var(--cla--color--secondary);
	overflow: hidden;
}
.cla-blocks-site-navigation .wp-block-search::before {
	content: "";
	position: absolute;
	z-index: var(--cla--layer--brushstroke);
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background-image: url('../../images/brushstroke-texture.png');
	background-position: 50% 37%;
	background-size: 100%;
	background-repeat: no-repeat;
	mix-blend-mode: multiply;
	opacity: 0.4;
	pointer-events: none;
}
.cla-blocks-site-navigation .wp-block-search__inside-wrapper {
	border: none;
	padding: 0;
	flex-grow: 0;
	background-color: transparent;
}
.cla-blocks-site-navigation .wp-block-search__input {
	position: relative;
	z-index: 100;
	padding: 0;
	color: var(--cla--color--secondary--contrast);
	border-bottom: var(--cla--linework--style) var(--cla--linework--width) var(--cla--color--secondary--contrast);
	background-color: transparent;
}
.cla-blocks-site-navigation .wp-block-search__input::placeholder {
	color: var(--cla--color--secondary--contrast);
}
.cla-blocks-site-navigation .wp-block-search__button {
	position: relative;
	z-index: 100;
	margin: 0;
	padding: var(--cla--spacing--1-2);
	color: var(--cla--color--secondary--contrast);
	background-color: transparent;
}

/* Social Links */
.cla-blocks-site-navigation .wp-block-social-links {
	padding: var(--cla--spacing--1);
	align-items: flex-start;
	justify-content: flex-start;
	grid-area: social;
}

/* Navigation */
.cla-blocks-site-navigation > .wp-block-navigation {
	grid-area: navigation;
}
/* Nav - ul */
.cla-blocks-site-navigation > .wp-block-navigation :is(.wp-block-navigation__container, .wp-block-page-list) {
	position: relative;
	padding-top: 0;
	width: 100%;
	gap: 0;
}
/* Nav - li */
.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation__container .wp-block-navigation-item {
	position: relative;
	width: 100%;
	flex-direction: column;
}
/* Nav - ul > li > a|button */
.cla-blocks-site-navigation > .wp-block-navigation :is(.wp-block-navigation__container, .wp-block-page-list) > .wp-block-navigation-item > .wp-block-navigation-item__content {
	padding: var(--cla--spacing--1-2) var(--cla--spacing--2) var(--cla--spacing--1-2) var(--cla--spacing--1);
	font-size: clamp(var(--cla--font-size--100), 2vw, var(--cla--font-size--300));
	font-weight: 600;
	line-height: 1.5;
}
/* Nav - a|button */
.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content {
	width: 100%;
}
.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content:focus + .wp-block-navigation__submenu-icon,
.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content:hover + .wp-block-navigation__submenu-icon {
	color: var(--cla--color--secondary--contrast);
}
.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content:focus,
.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content:hover {
	text-decoration: none;
	background-color: var(--cla--color--accent);
}
/* Nav - button */
.cla-blocks-site-navigation > .wp-block-navigation .has-child .wp-block-navigation-submenu__toggle[aria-expanded="true"] {
	background-color: var(--cla--color--accent);
}
/* Nav - span (toggle icon) */
.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation__container .wp-block-navigation-item > .wp-block-navigation__submenu-icon {
	position: absolute;
	top: var(--cla--spacing--3-4);
	right: var(--cla--spacing--1);
	transform-origin: center;
}
/* Nav - ul (submenu) */
.cla-blocks-site-navigation > .wp-block-navigation .has-child .wp-block-navigation-submenu__toggle[aria-expanded="true"] ~ .wp-block-navigation__submenu-container,
.cla-blocks-site-navigation > .wp-block-navigation .has-child:not(.open-on-click):hover > .wp-block-navigation__submenu-container,
.cla-blocks-site-navigation > .wp-block-navigation .has-child:not(.open-on-click):not(.open-on-hover-click):focus-within > .wp-block-navigation__submenu-container {
	position: static;
	border: none;
	width: 100%;
}
/* Nav - a|button (submenu) */
.cla-blocks-site-navigation > .wp-block-navigation .has-child .wp-block-navigation__submenu-container .wp-block-navigation-item__content {
	padding: var(--cla--spacing--1-4) var(--cla--spacing--3-4) var(--cla--spacing--1-4) var(--cla--spacing--2);
}
/* Nav - a|button (sub submenu) */
.cla-blocks-site-navigation > .wp-block-navigation .has-child .wp-block-navigation__submenu-container :where(.wp-block-navigation__submenu-container) .wp-block-navigation-item__content {
	padding: var(--cla--spacing--1-4) var(--cla--spacing--3-4) var(--cla--spacing--1-4) var(--cla--spacing--3);
}
/* Nav - a|button (sub sub submenu) */
.cla-blocks-site-navigation > .wp-block-navigation .has-child .wp-block-navigation__submenu-container :where(.wp-block-navigation__submenu-container .wp-block-navigation__submenu-container .wp-block-navigation__submenu-container) .wp-block-navigation-item__content {
	padding: var(--cla--spacing--1-4) var(--cla--spacing--3-4) var(--cla--spacing--1-4) var(--cla--spacing--4);
}
/* Nav - a|button (sub sub sub submenu) */
.cla-blocks-site-navigation > .wp-block-navigation .has-child .wp-block-navigation__submenu-container :where(.wp-block-navigation__submenu-container .wp-block-navigation__submenu-container .wp-block-navigation__submenu-container .wp-block-navigation__submenu-container) .wp-block-navigation-item__content {
	padding: var(--cla--spacing--1-4) var(--cla--spacing--3-4) var(--cla--spacing--1-4) var(--cla--spacing--5);
}
/* Nav - a|button (sub sub sub sub submenu) */
.cla-blocks-site-navigation > .wp-block-navigation .has-child .wp-block-navigation__submenu-container :where(.wp-block-navigation__submenu-container .wp-block-navigation__submenu-container .wp-block-navigation__submenu-container .wp-block-navigation__submenu-container .wp-block-navigation__submenu-container) .wp-block-navigation-item__content {
	padding: var(--cla--spacing--1-4) var(--cla--spacing--3-4) var(--cla--spacing--1-4) var(--cla--spacing--6);
}
/* Nav - span (submenu toggle icon) */
.cla-blocks-site-navigation > .wp-block-navigation .has-child .wp-block-navigation__submenu-container .wp-block-navigation-item .wp-block-navigation__submenu-icon {
	top: var(--cla--spacing--1-2);
	margin-left: calc(var(--cla--spacing--1) * -1);
	width: var(--cla--spacing--1-2);
	height: var(--cla--spacing--1-2);
	background-color: transparent;
}
/* Nav - Current Menu Ancestor */
.cla-blocks-site-navigation > .wp-block-navigation :is(.current-menu-ancestor, .current-menu-item) .wp-block-navigation-submenu__toggle,
.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation-item.current-menu-item > .wp-block-navigation-item__content {
	color: var(--cla--color--tertiary--contrast);
	background-color: var(--cla--color--tertiary);
}
.cla-blocks-site-navigation > .wp-block-navigation :is(.current-menu-ancestor, .current-menu-item) .wp-block-navigation-submenu__toggle + .wp-block-navigation__submenu-icon,
.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation-item.current-menu-item > .wp-block-navigation-item__content + .wp-block-navigation__submenu-icon {
	color: var(--cla--color--tertiary--contrast);
}
/*
.cla-blocks-site-navigation > .wp-block-navigation :is(.current-menu-ancestor, .current-menu-item) .wp-block-navigation-submenu__toggle::after,
.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation-item.current-menu-item > .wp-block-navigation-item__content::after {
	content: "";
	position: absolute;
	top: var(--cla--spacing--1-4);
	right: var(--cla--spacing--1-4);
	bottom: var(--cla--spacing--1-4);
	left: var(--cla--spacing--1-4);
	border: var(--cla--linework--width) var(--cla--linework--style) var(--cla--color--tertiary);
	display: block;
}
.cla-blocks-site-navigation > .wp-block-navigation .current-menu-item .wp-block-navigation-submenu__toggle::after,
.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation-item.current-menu-item > .wp-block-navigation-item__content::after {
	border-color: var(--cla--color--accent);
}
*/

/* College Navigation */
.cla-blocks-site-navigation .wp-block-cla-blocks-college-navigation {
	grid-area: college-navigation;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
}
.cla-blocks-site-navigation .wp-block-cla-blocks-college-navigation .cla-blocks-college-navigation__heading {
	position: relative;
	margin: 0;
	border-top: var(--cla--linework--style) var(--cla--linework--width) var(--cla--color--linework);
	border-bottom: var(--cla--linework--style) var(--cla--linework--width) var(--cla--color--linework);
	padding: var(--cla--spacing--1-2) var(--cla--spacing--1);
}
.cla-blocks-site-navigation .wp-block-cla-blocks-college-navigation .cla-blocks-college-navigation__heading::after {
	content: "";
	position: absolute;
	z-index: 100;
	top: 0;
	left: 0;
	border-radius: var(--cla--point--size);
	display: block;
	width: var(--cla--point--size);
	height: var(--cla--point--size);
	background-color: var(--cla--color--accent);
	transform: translateX(-50%) translateY(-50%);
}
.cla-blocks-site-navigation .wp-block-cla-blocks-college-navigation .menu-navigation-container {
	width: 100%;
}
.cla-blocks-site-navigation .wp-block-cla-blocks-college-navigation .wp-block-navigation__container {
	display: grid;
	height: var(--cla--spacing--3);
	width: 100%;
	grid-template-columns: repeat(auto-fit, minmax(20%, 1fr));
	grid-gap: 1px;
	background-color: var(--cla--color--linework);
}
.cla-blocks-site-navigation .wp-block-cla-blocks-college-navigation .wp-block-navigation-item {
	height: 100%;
}
.cla-blocks-site-navigation .wp-block-cla-blocks-college-navigation .wp-block-navigation-item__content {
	padding: 0;
	display: flex;
	flex-direction: column;
	justify-content: center;
	width: 100%;
	height: 100%;
	font-size: var(--cla--font-size--90);
	font-weight: 600;
	text-align: center;
	color: var(--cla--color--secondary--contrast);
	background-color: var(--cla--color--secondary);
}
.cla-blocks-site-navigation .wp-block-cla-blocks-college-navigation .wp-block-navigation-item .wp-block-navigation-item__content:focus,
.cla-blocks-site-navigation .wp-block-cla-blocks-college-navigation .wp-block-navigation-item .wp-block-navigation-item__content:hover {
	color: var(--cla--color--secondary);
	text-decoration: none;
	background-color: var(--cla--color--secondary--contrast);
}



@container cla-blocks-site-navigation-container (min-width: 768px) and (max-width: 1199px) {
	.cla-blocks-site-navigation > .wp-block-navigation .has-child .wp-block-navigation__submenu-container .wp-block-navigation-item .wp-block-navigation__submenu-icon {
		transform-origin: bottom;
		transform: rotateZ(90deg);
	}
}



@container cla-blocks-site-navigation-container (min-width: 1200px) {
	.cla-blocks-site-navigation {
		grid-template-columns: var(--cla--spacing--decoration) 1fr minmax(360px, 20vw);
		grid-template-rows: 20vh auto min-content;
		grid-template-areas:
			"decoration navigation search"
			"decoration navigation social"
			"decoration navigation college-navigation";
	}
	.cla-blocks-site-navigation::after {
		content: "";
		position: relative;
		z-index: 10;
		border-left: var(--cla--linework--style) var(--cla--linework--width) var(--cla--color--linework);
		display: block;
		grid-row: 1 / -1;
		grid-column: -2 / -1;
		pointer-events: none;
	}

	/* Decoration */
	.cla-blocks-site-navigation__decoration {
		display: block;
	}

	/* Search */
	.cla-blocks-site-navigation .wp-block-search::before {
		display: none;
	}

	/* Navigation */
	.cla-blocks-site-navigation > .wp-block-navigation {
		overflow: hidden;
	}
	.cla-blocks-site-navigation > .wp-block-navigation:has(.has-child .wp-block-navigation-submenu__toggle[aria-expanded="true"]) {
		overflow-y: auto;
	}
	/* Nav - ul */
	.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation__container {
		width: 33.333333%;
	}
	/* Nav - li */
	.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation__container .wp-block-navigation-item {
		position: static;
		flex-direction: row;
	}
	/* Nav - ul > li > a|button */
	.cla-blocks-site-navigation > .wp-block-navigation :is(.wp-block-navigation__container, .wp-block-page-list) > .wp-block-navigation-item > .wp-block-navigation-item__content {
		padding-left: var(--cla--spacing--2);
	}
	/* Nav - span (toggle icon) */
	.cla-blocks-site-navigation > .wp-block-navigation :is(.wp-block-navigation__container, .wp-block-page-list) > .wp-block-navigation-item > .wp-block-navigation__submenu-icon {
		margin-left: calc(var(--cla--spacing--1) * -1.5);
		width: var(--cla--spacing--1);
		height: var(--cla--spacing--1);
		transform: rotateZ(-90deg);
	}
	/* Nav - span (toggle icon) */
	.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation__container .wp-block-navigation-item > .wp-block-navigation__submenu-icon {
		position: static;
		z-index: 1;
	}
	/* Nav - ul (submenu) */
	.cla-blocks-site-navigation > .wp-block-navigation .has-child .wp-block-navigation-submenu__toggle[aria-expanded="true"] ~ .wp-block-navigation__submenu-container,
	.cla-blocks-site-navigation > .wp-block-navigation .has-child:not(.open-on-click):hover > .wp-block-navigation__submenu-container,
	.cla-blocks-site-navigation > .wp-block-navigation .has-child:not(.open-on-click):not(.open-on-hover-click):focus-within > .wp-block-navigation__submenu-container {
		position: absolute;
		top: 0;
		left: 100%;
	}
	/* Nav - ul (submenu) 4th+ level */
	.cla-blocks-site-navigation > .wp-block-navigation .has-child .has-child .has-child .wp-block-navigation__submenu-container {
		position: static;
		padding-left: var(--cla--spacing--1);
		width: 100%;
	}
	.cla-blocks-site-navigation > .wp-block-navigation .wp-block-navigation__container .has-child .has-child .wp-block-navigation-item {
		flex-wrap: wrap;
	}
	/* Nav - a|button (submenu) */
	.cla-blocks-site-navigation > .wp-block-navigation .has-child .wp-block-navigation__submenu-container .wp-block-navigation-item__content {
		padding: var(--cla--spacing--1-4) var(--cla--spacing--3-4) var(--cla--spacing--1-4) var(--cla--spacing--1-2);
		max-width: 100%;
	}
}